Skip to main content
POST
/
noCo
/
api
/
v2
/
workspaces
/
{workspace_id}
/
tables
/
{table_id}
/
column
Create Link Column with Auto Join Condition
curl --request POST \
  --url https://be.datagol.ai/noCo/api/v2/workspaces/{workspace_id}/tables/{table_id}/column \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "uiDataType": "LINK",
  "colOptions": {
    "associateTableId": "6d85b345-b626-4b87-b664-66237d7333e8",
    "associateWorkspaceId": "b3e1a902-1234-4abc-9def-7f8a90bc1234",
    "whereClause": "table_1e67d485.\"course_taken\" = table_c8be6d9c.\"status\""
  },
  "uiMetadata": {
    "title": "product link column",
    "autoJoinConfig": {
      "joinConditions": [
        {
          "id": "condition-1774312716137",
          "currentTableColumn": "course_taken",
          "linkedTableColumn": "status",
          "operator": "EQUALS"
        }
      ],
      "isSwapped": false
    }
  },
  "formula": "table_1e67d485.\"course_taken\" = table_c8be6d9c.\"status\"",
  "name": "product_link_column"
}
'
{
  "id": "efdbce09-6581-4811-aa67-14344e7444b7",
  "name": "product link column",
  "uiDataType": "LINK",
  "formula": "table_1e67d485.\"course_taken\" = table_c8be6d9c.\"status\"",
  "backendDataType": "VARCHAR(255)",
  "workspaceId": "16231f3f-8208-4c51-a460-87d17244344f",
  "colOptions": {
    "id": "e19ab19c-3a38-4d28-9eff-767019524186",
    "relationType": "MANY_TO_MANY",
    "columnId": "efdbce09-6581-4811-aa67-14344e7444b7",
    "associatedColumnId": "9422e52d-9886-431e-946f-8ed5a8838dac",
    "tableId": "9c8a448d-7884-4158-bfca-202bc95b0515",
    "associateTableId": "6d85b345-b626-4b87-b664-66237d7333e8",
    "associateWorkspaceId": "b3e1a902-1234-4abc-9def-7f8a90bc1234",
    "childColumnId": "75272cd2-63c4-4d4c-b2eb-20a864834a2a",
    "parentColumnId": "f830fd3f-8624-4ae5-959f-36f1756d828a",
    "whereClause": "table_1e67d485.\"course_taken\" = table_c8be6d9c.\"status\"",
    "isItSource": true
  },
  "uiMetadata": {
    "title": "product_link_column",
    "autoJoinConfig": {
      "joinConditions": [
        {
          "id": "condition-1774312716137",
          "currentTableColumn": "course_taken",
          "linkedTableColumn": "status",
          "operator": "EQUALS"
        }
      ],
      "isSwapped": false
    }
  },
  "tableId": "9c8a448d-7884-4158-bfca-202bc95b0515"
}

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier

tableId
string<uuid>
required

Source (parent) table identifier

Body

application/json
uiDataType
enum<string>
required
Available options:
LINK
colOptions
object
required
uiMetadata
object
required
formula
string
required

Raw SQL-style formula matching the whereClause, used for backend processing

name
string
required

Internal column name — must be unique within the table

Response

200 - application/json

Link column with auto join condition created successfully

id
string<uuid>

Unique identifier of the created link column

name
string

Internal column name, unique within the table

uiDataType
string

Always returns LINK for link columns

formula
string

Raw SQL-style formula used for the join condition

backendDataType
string

Underlying database data type assigned to the column

workspaceId
string<uuid>

Workspace this column belongs to

colOptions
object
uiMetadata
object
tableId
string<uuid>

Table ID where this column resides